mwLoginInfo Struct Reference

`#include <mw_common.h>`

## Data Fields

char * | community
| community name (usually domain name)
char * | desc
| implementation defined description
gboolean | full
| if FALSE, following fields non-existant
guint32 | ip_addr
| ip addr of the login
char * | login_id
| community-unique ID of the login
char * | server_id
| unique ID of login's server
guint16 | type
char * | user_id
| community-unique ID of the user
char * | user_name
| name of user (nick name, full name, etc)

## Field Documentation

## community

char* mwLoginInfo::community

community name (usually domain name)

## desc

char* mwLoginInfo::desc

implementation defined description

## full

gboolean mwLoginInfo::full

if FALSE, following fields non-existant

## ip_addr

guint32 mwLoginInfo::ip_addr

ip addr of the login

## login_id

char* mwLoginInfo::login_id

community-unique ID of the login

## server_id

char* mwLoginInfo::server_id

unique ID of login's server

## type

guint16 mwLoginInfo::type

See also
  mwLoginType

## user_id

char* mwLoginInfo::user_id

community-unique ID of the user

## user_name

char* mwLoginInfo::user_name

name of user (nick name, full name, etc)

The documentation for this struct was generated from the following file:

- mw_common.h